<?php

namespace EwKit\Theme;

use EwKit\Theme\Interfaces\ViewModel;
use Infomaker\Everyware\Base\Menus;
use Infomaker\Everyware\Base\Models\Page;

/**
 * Class PageTemplate
 * @package EwKit\Theme
 */
class PageTemplate implements ViewModel
{
    /**
     * @var Page
     */
    private $page;

    public function __construct(Page $page)
    {
        $this->page = $page;
    }

    /**
     * @return array
     */
    public function getViewData(): array
    {
        $main_menu = Menus::getFromLocation('main-menu');
        return [
            'menu' => $main_menu ? $main_menu->items() : [],
            'page' => $this->page,
        ];
    }
}
