const merge = require('webpack-merge');
const commonConfig = require('./webpack.common.js');

/**
 * This is the configuration for the dev environment.
 * If you wish to change how webpack operates in dev do it here.
 * Output and input paths should still be configurated in webpack.config.js
 */
const devConfig = {
    devtool: 'inline-source-map',
    mode: 'development',
    stats: 'normal',
    /* optimization: {
        runtimeChunk: 'single',
        splitChunks: {
            cacheGroups: {
                vendor: {
                        test: /[\\/]node_modules[\\/]/,
                      name: 'vendors',
                           chunks: 'all'
                         }
            }
        }
    }, */
}

module.exports = env => {
    return merge(commonConfig(env), devConfig);
}